Upload an external payment receipt - Karat Help Center
Upload an external payment receipt
cURL
curl --request POST \
--url https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base64": "<string>",
"fileName": "<string>"
}
'
Python
import requests
url = "https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt"
payload = {
"base64": "<string>",
"fileName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({base64: '<string>', fileName: '<string>'})
};
fetch('https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'base64' => '<string>',
'fileName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://payouts.api.trykarat.com/external-payments/{external_payment_id}/receipt"
payload := strings.NewReader("{\n \"base64\": \"<string>\",\n \"fileName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 200: The receipt was uploaded successfully.
- 400: Bad request.
- 401: Unauthorized - Invalid API key.
- 404: Not found - Payment intent not found.
Example Responses
Success Response
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiptFileName": "<string>"
}
}
Error Responses
{
"error": {
"message": "amount: amount must be positive"
}
}
{
"error": {
"message": "Invalid api key"
}
}
{
"error": {
"message": "Payment intent not found"
}
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Pass your API key as a bearer token:
Authorization: Bearer <API_KEY>.
Path Parameters
- external_payment_id: string (uuid) - required - The ID of the external payment.
Request Body
- base64: string - required - Base64-encoded receipt file contents.
- fileName: string - Optional file name for the receipt.